curl --request PATCH \
--url https://api.sippet.ai/api/gateways/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"attributes": {
"from_domain": "<string>",
"from_user": "<string>",
"inbound_acl": [
"<string>"
],
"password": "<string>",
"provider": "vonage",
"proxy": "<string>",
"realm": "<string>",
"register": true,
"username": "<string>"
},
"relationships": {},
"type": "Gateway"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"inbound_acl": [
"<string>"
],
"name": "<string>",
"realm": "<string>",
"username": "<string>",
"from_domain": "<string>",
"from_user": "<string>",
"password": "<string>",
"provider": "vonage",
"proxy": "<string>",
"register": true
},
"relationships": {
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}/gateways/:id operation on Gateway resource
curl --request PATCH \
--url https://api.sippet.ai/api/gateways/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"attributes": {
"from_domain": "<string>",
"from_user": "<string>",
"inbound_acl": [
"<string>"
],
"password": "<string>",
"provider": "vonage",
"proxy": "<string>",
"realm": "<string>",
"register": true,
"username": "<string>"
},
"relationships": {},
"type": "Gateway"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"inbound_acl": [
"<string>"
],
"name": "<string>",
"realm": "<string>",
"username": "<string>",
"from_domain": "<string>",
"from_user": "<string>",
"password": "<string>",
"provider": "vonage",
"proxy": "<string>",
"register": true
},
"relationships": {
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}JWT for bearer authentication
Relationship paths to include in the response
^()(,())*$Limits the response fields to only those listed for each type
Show child attributes
{
"Gateway": "id,name,provider,username,realm,proxy,register,from_domain,from_user,inbound_acl"
}Request body for the /gateways/:id operation on Gateway resource
Show child attributes
Was this page helpful?